package com.schoolinout.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.schoolinout.common.annotation.Excel;
import com.schoolinout.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 家长管理对象 tb_school_parent
 *
 * @author sakura
 * @date 2024-01-09
 */
public class Parent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    @TableField(exist = false)
    private String studentIds;


    /**
     * 家长姓名
     */
    @Excel(name = "家长姓名")
    private String parentName;

    /**
     * 家长电话
     */
    @Excel(name = "家长电话")
    private String parentPhone;

    /**
     * 与学生的关系
     */
    @Excel(name = "与学生的关系")
    private String relation;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(String studentIds) {
        this.studentIds = studentIds;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getParentPhone() {
        return parentPhone;
    }

    public void setParentPhone(String parentPhone) {
        this.parentPhone = parentPhone;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentName", getParentName())
                .append("parentPhone", getParentPhone())
                .append("relation", getRelation())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
